import type { TransformOptions } from '@babel/core';
export type BabelPlainConfig = Omit<TransformOptions, 'plugins' | 'presets'>;
export type GetSetter<T extends Record<string, any>> = { [K in keyof T]: (input: T[K]) => void };
export type PlainSetter = {
  delete: (key: keyof BabelPlainConfig) => void;
} & GetSetter<Required<BabelPlainConfig>>;
export type BabelPlainChain = {
  plain: PlainSetter;
  toJSON: () => BabelPlainConfig;
  merge: (other: BabelPlainChain) => BabelPlainChain;
};
export declare const createBabelPlainChain: () => BabelPlainChain;